"use strict";

exports.__esModule = true;
exports.command = void 0;
var command = {
  name: 'extendCellsSelectionLeft',
  callback: function callback(hot) {
    var _hot$getSelectedRange = hot.getSelectedRangeLast(),
      highlight = _hot$getSelectedRange.highlight;
    if (highlight.isCell() || highlight.isHeader() && hot.selection.isSelectedByColumnHeader()) {
      hot.selection.transformEnd(0, -1 * hot.getDirectionFactor());
    }
  }
};
exports.command = command;